Bug 599726 - repodata cache structure for yumdownloader
repodata cache structure for yumdownloader
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:46 EDT by Thomas Moschny
Modified: 2014-01-21 18:15 EST (History)
4 users (show)

See Also:
Fixed In Version: yum-utils-1.1.27-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 15:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2010-06-03 15:46:26 EDT
Description of problem:
As discussed in #fedora-devel, yumdownloader doesn't use the same cache structure for repository metadata as the other tools do (/tmp/yum-$USER-*/$basearch/$releasever). It seems this causes the metadata to be downloaded twice.

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-7.fc13.noarch

How reproducible:
Always.

Steps to Reproduce:
Call yumdownloader as some non-root user, inspect /tmp/yum-$USER-*/.
Comment 2 Fedora Update System 2010-06-06 09:44:09 EDT
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13
Comment 3 Fedora Update System 2010-06-14 13:19:39 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.